summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Samuel Young <samyoung12788@gmail.com>2023-03-16 22:46:42 +0000
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-03-18 09:50:23 +0700
commite3d1b6d7ae93e0cbb9e7f8d50c816a9152bc53bf (patch)
treefbc3f4c44803c7ba3061c841df0271547d4234b7
parent2f20aedd628e0304ebdb4bfc1f93222cabac61ee (diff)
downloadslackbuilds-e3d1b6d7ae93e0cbb9e7f8d50c816a9152bc53bf.tar.gz
slackbuilds-e3d1b6d7ae93e0cbb9e7f8d50c816a9152bc53bf.tar.xz
audio/musikcube: Added (Terminal-based music player)
Signed-off-by: bedlam <dave@slackbuilds.org> Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--audio/musikcube/README21
-rw-r--r--audio/musikcube/doinst.sh9
-rw-r--r--audio/musikcube/musikcube.SlackBuild103
-rw-r--r--audio/musikcube/musikcube.info10
-rw-r--r--audio/musikcube/slack-desc19
5 files changed, 162 insertions, 0 deletions
diff --git a/audio/musikcube/README b/audio/musikcube/README
new file mode 100644
index 0000000000..1c1014fe2e
--- /dev/null
+++ b/audio/musikcube/README
@@ -0,0 +1,21 @@
+musikcube (Terminal-based music player)
+
+A cross-platform, terminal-based audio engine, library, player and
+server written in C++.
+
+Musikcube ships with a streaming audio server enabled by default.
+It runs a websocket server on port 7905, used for metadata retrieval.
+An http server runs on port 7906, and is used to serve (optionally
+transcoded) audio data to clients. It's important to understand that,
+out of the box, the server (and remote api) should NOT be considered
+safe for use outside of a local network. The websockets service only
+supports a simple password challenge, and the audio http server just
+handles Basic authorization. It does not provide ssl or tls. The
+server also stores the password in plain text in a settings file on
+the local machine.
+
+If you wish to fix this, follow this guide:
+https://github.com/clangen/musikcube/wiki/ssl-server-setup
+
+Optional dependencies include letsencrypt and nginx which are needed
+if you wish to set up an ssl-server.
diff --git a/audio/musikcube/doinst.sh b/audio/musikcube/doinst.sh
new file mode 100644
index 0000000000..3e5691a052
--- /dev/null
+++ b/audio/musikcube/doinst.sh
@@ -0,0 +1,9 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
diff --git a/audio/musikcube/musikcube.SlackBuild b/audio/musikcube/musikcube.SlackBuild
new file mode 100644
index 0000000000..94cfac22db
--- /dev/null
+++ b/audio/musikcube/musikcube.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/bash
+
+# Slackware build script for musikcube
+
+# Copyright 2023 Samuel Young, MO, USA
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+PRGNAM=musikcube
+VERSION=${VERSION:-0.99.5}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake -G "Unix Makefiles" \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DCMAKE_BUILD_TYPE=Release ..
+ make
+ make install/strip DESTDIR=$PKG
+cd ..
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+cat $TMP/$PRGNAM-$VERSION/CHANGELOG.txt > $PKG/usr/doc/$PRGNAM-$VERSION/CHANGELOG.txt
+cat $TMP/$PRGNAM-$VERSION/LICENSE.txt > $PKG/usr/doc/$PRGNAM-$VERSION/LICENSE.txt
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/audio/musikcube/musikcube.info b/audio/musikcube/musikcube.info
new file mode 100644
index 0000000000..884a393c63
--- /dev/null
+++ b/audio/musikcube/musikcube.info
@@ -0,0 +1,10 @@
+PRGNAM="musikcube"
+VERSION="0.99.5"
+HOMEPAGE="https://musikcube.com"
+DOWNLOAD="https://github.com/clangen/musikcube/archive/0.99.5/musikcube-0.99.5.tar.gz"
+MD5SUM="b9bfc50ee14bee01af6d0616ffafaa49"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="asio libev libmicrohttpd"
+MAINTAINER="Samuel Young"
+EMAIL="samyoung12788@gmail.com"
diff --git a/audio/musikcube/slack-desc b/audio/musikcube/slack-desc
new file mode 100644
index 0000000000..85dc145862
--- /dev/null
+++ b/audio/musikcube/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+musikcube: musikcube (Terminal-based music player)
+musikcube:
+musikcube: A cross-platform, terminal-based audio engine, library, player and
+musikcube: server written in C++.
+musikcube:
+musikcube: https://musikcube.com
+musikcube:
+musikcube:
+musikcube:
+musikcube:
+musikcube: